<?php
/**
 * FontAwesome Icons for Themify Icon Picker
 * @link http://fontawesome.io/
 */
class Themify_Icon_Picker_FontAwesome extends Themify_Icon_Picker_Font {
	function get_id() {
		return 'fontawesome';
	}

	function get_label() {
		return __( 'FontAwesome', 'themify' );
	}

	/**
	 * Check if the icon name belongs to the Themify icon font
	 * Assumes yes, if the icon name has "ti-" prefix
	 *
	 * @return bool
	 */
	function is_valid_icon( $name ) {
                return strpos( $name, 'fa-' ) === 0;
	}

	function get_classname( $icon ) {
		return "fa {$icon}";
	}

	function get_icons() {
		return array(
			array(
				'key' => 'web',
				'label' => __( 'Web', 'themify' ),
				'icons' => array(
					'fa-address-book' => 'address-book',
					'fa-address-book-o' => 'address-book-o',
					'fa-address-card' => 'address-card',
					'fa-address-card-o' => 'address-card-o',
					'fa-adjust' => 'adjust',
					'fa-american-sign-language-interpreting' => 'american-sign-language-interpreting',
					'fa-anchor' => 'anchor',
					'fa-archive' => 'archive',
					'fa-area-chart' => 'area-chart',
					'fa-arrows' => 'arrows',
					'fa-arrows-h' => 'arrows-h',
					'fa-arrows-v' => 'arrows-v',
					'fa-assistive-listening-systems' => 'assistive-listening-systems',
					'fa-asterisk' => 'asterisk',
					'fa-at' => 'at',
					'fa-audio-description' => 'audio-description',
					'fa-balance-scale' => 'balance-scale',
					'fa-ban' => 'ban',
					'fa-bar-chart' => 'bar-chart',
					'fa-barcode' => 'barcode',
					'fa-bars' => 'bars',
					'fa-bath' => 'bath',
					'fa-battery-empty' => 'battery-empty',
					'fa-battery-full' => 'battery-full',
					'fa-battery-half' => 'battery-half',
					'fa-battery-quarter' => 'battery-quarter',
					'fa-battery-three-quarters' => 'battery-three-quarters',
					'fa-bed' => 'bed',
					'fa-beer' => 'beer',
					'fa-bell' => 'bell',
					'fa-bell-o' => 'bell-o',
					'fa-bell-slash' => 'bell-slash',
					'fa-bell-slash-o' => 'bell-slash-o',
					'fa-bicycle' => 'bicycle',
					'fa-binoculars' => 'binoculars',
					'fa-birthday-cake' => 'birthday-cake',
					'fa-blind' => 'blind',
					'fa-bluetooth' => 'bluetooth',
					'fa-bluetooth-b' => 'bluetooth-b',
					'fa-bolt' => 'bolt',
					'fa-bomb' => 'bomb',
					'fa-book' => 'book',
					'fa-bookmark' => 'bookmark',
					'fa-bookmark-o' => 'bookmark-o',
					'fa-braille' => 'braille',
					'fa-briefcase' => 'briefcase',
					'fa-bug' => 'bug',
					'fa-building' => 'building',
					'fa-building-o' => 'building-o',
					'fa-bullhorn' => 'bullhorn',
					'fa-bullseye' => 'bullseye',
					'fa-bus' => 'bus',
					'fa-calculator' => 'calculator',
					'fa-calendar' => 'calendar',
					'fa-calendar-check-o' => 'calendar-check-o',
					'fa-calendar-minus-o' => 'calendar-minus-o',
					'fa-calendar-o' => 'calendar-o',
					'fa-calendar-plus-o' => 'calendar-plus-o',
					'fa-calendar-times-o' => 'calendar-times-o',
					'fa-camera' => 'camera',
					'fa-camera-retro' => 'camera-retro',
					'fa-car' => 'car',
					'fa-caret-square-o-down' => 'caret-square-o-down',
					'fa-caret-square-o-left' => 'caret-square-o-left',
					'fa-caret-square-o-right' => 'caret-square-o-right',
					'fa-caret-square-o-up' => 'caret-square-o-up',
					'fa-cart-arrow-down' => 'cart-arrow-down',
					'fa-cart-plus' => 'cart-plus',
					'fa-cc' => 'cc',
					'fa-certificate' => 'certificate',
					'fa-check' => 'check',
					'fa-check-circle' => 'check-circle',
					'fa-check-circle-o' => 'check-circle-o',
					'fa-check-square' => 'check-square',
					'fa-check-square-o' => 'check-square-o',
					'fa-child' => 'child',
					'fa-circle' => 'circle',
					'fa-circle-o' => 'circle-o',
					'fa-circle-o-notch' => 'circle-o-notch',
					'fa-circle-thin' => 'circle-thin',
					'fa-clock-o' => 'clock-o',
					'fa-clone' => 'clone',
					'fa-cloud' => 'cloud',
					'fa-cloud-download' => 'cloud-download',
					'fa-cloud-upload' => 'cloud-upload',
					'fa-code' => 'code',
					'fa-code-fork' => 'code-fork',
					'fa-coffee' => 'coffee',
					'fa-cog' => 'cog',
					'fa-cogs' => 'cogs',
					'fa-comment' => 'comment',
					'fa-comment-o' => 'comment-o',
					'fa-commenting' => 'commenting',
					'fa-commenting-o' => 'commenting-o',
					'fa-comments' => 'comments',
					'fa-comments-o' => 'comments-o',
					'fa-compass' => 'compass',
					'fa-copyright' => 'copyright',
					'fa-creative-commons' => 'creative-commons',
					'fa-credit-card' => 'credit-card',
					'fa-credit-card-alt' => 'credit-card-alt',
					'fa-crop' => 'crop',
					'fa-crosshairs' => 'crosshairs',
					'fa-cube' => 'cube',
					'fa-cubes' => 'cubes',
					'fa-cutlery' => 'cutlery',
					'fa-database' => 'database',
					'fa-deaf' => 'deaf',
					'fa-desktop' => 'desktop',
					'fa-diamond' => 'diamond',
					'fa-dot-circle-o' => 'dot-circle-o',
					'fa-download' => 'download',
					'fa-ellipsis-h' => 'ellipsis-h',
					'fa-ellipsis-v' => 'ellipsis-v',
					'fa-envelope' => 'envelope',
					'fa-envelope-o' => 'envelope-o',
					'fa-envelope-open' => 'envelope-open',
					'fa-envelope-open-o' => 'envelope-open-o',
					'fa-envelope-square' => 'envelope-square',
					'fa-eraser' => 'eraser',
					'fa-exchange' => 'exchange',
					'fa-exclamation' => 'exclamation',
					'fa-exclamation-circle' => 'exclamation-circle',
					'fa-exclamation-triangle' => 'exclamation-triangle',
					'fa-external-link' => 'external-link',
					'fa-external-link-square' => 'external-link-square',
					'fa-eye' => 'eye',
					'fa-eye-slash' => 'eye-slash',
					'fa-eyedropper' => 'eyedropper',
					'fa-fax' => 'fax',
					'fa-female' => 'female',
					'fa-fighter-jet' => 'fighter-jet',
					'fa-file-archive-o' => 'file-archive-o',
					'fa-file-audio-o' => 'file-audio-o',
					'fa-file-code-o' => 'file-code-o',
					'fa-file-excel-o' => 'file-excel-o',
					'fa-file-image-o' => 'file-image-o',
					'fa-file-pdf-o' => 'file-pdf-o',
					'fa-file-powerpoint-o' => 'file-powerpoint-o',
					'fa-file-video-o' => 'file-video-o',
					'fa-file-word-o' => 'file-word-o',
					'fa-film' => 'film',
					'fa-filter' => 'filter',
					'fa-fire' => 'fire',
					'fa-fire-extinguisher' => 'fire-extinguisher',
					'fa-flag' => 'flag',
					'fa-flag-checkered' => 'flag-checkered',
					'fa-flag-o' => 'flag-o',
					'fa-flask' => 'flask',
					'fa-folder' => 'folder',
					'fa-folder-o' => 'folder-o',
					'fa-folder-open' => 'folder-open',
					'fa-folder-open-o' => 'folder-open-o',
					'fa-frown-o' => 'frown-o',
					'fa-futbol-o' => 'futbol-o',
					'fa-gamepad' => 'gamepad',
					'fa-gavel' => 'gavel',
					'fa-gift' => 'gift',
					'fa-glass' => 'glass',
					'fa-globe' => 'globe',
					'fa-graduation-cap' => 'graduation-cap',
					'fa-hand-lizard-o' => 'hand-lizard-o',
					'fa-hand-paper-o' => 'hand-paper-o',
					'fa-hand-peace-o' => 'hand-peace-o',
					'fa-hand-pointer-o' => 'hand-pointer-o',
					'fa-hand-rock-o' => 'hand-rock-o',
					'fa-hand-scissors-o' => 'hand-scissors-o',
					'fa-hand-spock-o' => 'hand-spock-o',
					'fa-handshake-o' => 'handshake-o',
					'fa-hashtag' => 'hashtag',
					'fa-hdd-o' => 'hdd-o',
					'fa-headphones' => 'headphones',
					'fa-heart' => 'heart',
					'fa-heart-o' => 'heart-o',
					'fa-heartbeat' => 'heartbeat',
					'fa-history' => 'history',
					'fa-home' => 'home',
					'fa-hourglass' => 'hourglass',
					'fa-hourglass-end' => 'hourglass-end',
					'fa-hourglass-half' => 'hourglass-half',
					'fa-hourglass-o' => 'hourglass-o',
					'fa-hourglass-start' => 'hourglass-start',
					'fa-id-badge' => 'id-badge',
					'fa-id-card' => 'id-card',
					'fa-id-card-o' => 'id-card-o',
					'fa-i-cursor' => 'i-cursor',
					'fa-inbox' => 'inbox',
					'fa-industry' => 'industry',
					'fa-info' => 'info',
					'fa-info-circle' => 'info-circle',
					'fa-key' => 'key',
					'fa-keyboard-o' => 'keyboard-o',
					'fa-language' => 'language',
					'fa-laptop' => 'laptop',
					'fa-leaf' => 'leaf',
					'fa-lemon-o' => 'lemon-o',
					'fa-level-down' => 'level-down',
					'fa-level-up' => 'level-up',
					'fa-life-ring' => 'life-ring',
					'fa-lightbulb-o' => 'lightbulb-o',
					'fa-line-chart' => 'line-chart',
					'fa-location-arrow' => 'location-arrow',
					'fa-lock' => 'lock',
					'fa-low-vision' => 'low-vision',
					'fa-magic' => 'magic',
					'fa-magnet' => 'magnet',
					'fa-male' => 'male',
					'fa-map' => 'map',
					'fa-map-marker' => 'map-marker',
					'fa-map-o' => 'map-o',
					'fa-map-pin' => 'map-pin',
					'fa-map-signs' => 'map-signs',
					'fa-meh-o' => 'meh-o',
					'fa-microchip' => 'microchip',
					'fa-microphone' => 'microphone',
					'fa-microphone-slash' => 'microphone-slash',
					'fa-minus' => 'minus',
					'fa-minus-circle' => 'minus-circle',
					'fa-minus-square' => 'minus-square',
					'fa-minus-square-o' => 'minus-square-o',
					'fa-mobile' => 'mobile',
					'fa-money' => 'money',
					'fa-moon-o' => 'moon-o',
					'fa-motorcycle' => 'motorcycle',
					'fa-mouse-pointer' => 'mouse-pointer',
					'fa-music' => 'music',
					'fa-newspaper-o' => 'newspaper-o',
					'fa-object-group' => 'object-group',
					'fa-object-ungroup' => 'object-ungroup',
					'fa-paint-brush' => 'paint-brush',
					'fa-paper-plane' => 'paper-plane',
					'fa-paper-plane-o' => 'paper-plane-o',
					'fa-paw' => 'paw',
					'fa-pencil' => 'pencil',
					'fa-pencil-square' => 'pencil-square',
					'fa-pencil-square-o' => 'pencil-square-o',
					'fa-percent' => 'percent',
					'fa-phone' => 'phone',
					'fa-phone-square' => 'phone-square',
					'fa-picture-o' => 'picture-o',
					'fa-pie-chart' => 'pie-chart',
					'fa-plane' => 'plane',
					'fa-plug' => 'plug',
					'fa-plus' => 'plus',
					'fa-plus-circle' => 'plus-circle',
					'fa-plus-square' => 'plus-square',
					'fa-plus-square-o' => 'plus-square-o',
					'fa-podcast' => 'podcast',
					'fa-power-off' => 'power-off',
					'fa-print' => 'print',
					'fa-puzzle-piece' => 'puzzle-piece',
					'fa-qrcode' => 'qrcode',
					'fa-question' => 'question',
					'fa-question-circle' => 'question-circle',
					'fa-question-circle-o' => 'question-circle-o',
					'fa-quote-left' => 'quote-left',
					'fa-quote-right' => 'quote-right',
					'fa-random' => 'random',
					'fa-recycle' => 'recycle',
					'fa-refresh' => 'refresh',
					'fa-registered' => 'registered',
					'fa-reply' => 'reply',
					'fa-reply-all' => 'reply-all',
					'fa-retweet' => 'retweet',
					'fa-road' => 'road',
					'fa-rocket' => 'rocket',
					'fa-rss' => 'rss',
					'fa-rss-square' => 'rss-square',
					'fa-search' => 'search',
					'fa-search-minus' => 'search-minus',
					'fa-search-plus' => 'search-plus',
					'fa-server' => 'server',
					'fa-share' => 'share',
					'fa-share-alt' => 'share-alt',
					'fa-share-alt-square' => 'share-alt-square',
					'fa-share-square' => 'share-square',
					'fa-share-square-o' => 'share-square-o',
					'fa-shield' => 'shield',
					'fa-ship' => 'ship',
					'fa-shopping-bag' => 'shopping-bag',
					'fa-shopping-basket' => 'shopping-basket',
					'fa-shopping-cart' => 'shopping-cart',
					'fa-shower' => 'shower',
					'fa-sign-in' => 'sign-in',
					'fa-sign-language' => 'sign-language',
					'fa-sign-out' => 'sign-out',
					'fa-signal' => 'signal',
					'fa-sitemap' => 'sitemap',
					'fa-sliders' => 'sliders',
					'fa-smile-o' => 'smile-o',
					'fa-snowflake-o' => 'snowflake-o',
					'fa-sort' => 'sort',
					'fa-sort-alpha-asc' => 'sort-alpha-asc',
					'fa-sort-alpha-desc' => 'sort-alpha-desc',
					'fa-sort-amount-asc' => 'sort-amount-asc',
					'fa-sort-amount-desc' => 'sort-amount-desc',
					'fa-sort-asc' => 'sort-asc',
					'fa-sort-desc' => 'sort-desc',
					'fa-sort-numeric-asc' => 'sort-numeric-asc',
					'fa-sort-numeric-desc' => 'sort-numeric-desc',
					'fa-space-shuttle' => 'space-shuttle',
					'fa-spinner' => 'spinner',
					'fa-spoon' => 'spoon',
					'fa-square' => 'square',
					'fa-square-o' => 'square-o',
					'fa-star' => 'star',
					'fa-star-half' => 'star-half',
					'fa-star-half-o' => 'star-half-o',
					'fa-star-o' => 'star-o',
					'fa-sticky-note' => 'sticky-note',
					'fa-sticky-note-o' => 'sticky-note-o',
					'fa-street-view' => 'street-view',
					'fa-suitcase' => 'suitcase',
					'fa-sun-o' => 'sun-o',
					'fa-tablet' => 'tablet',
					'fa-tachometer' => 'tachometer',
					'fa-tag' => 'tag',
					'fa-tags' => 'tags',
					'fa-tasks' => 'tasks',
					'fa-taxi' => 'taxi',
					'fa-television' => 'television',
					'fa-terminal' => 'terminal',
					'fa-thermometer-empty' => 'thermometer-empty',
					'fa-thermometer-full' => 'thermometer-full',
					'fa-thermometer-half' => 'thermometer-half',
					'fa-thermometer-quarter' => 'thermometer-quarter',
					'fa-thermometer-three-quarters' => 'thermometer-three-quarters',
					'fa-thumb-tack' => 'thumb-tack',
					'fa-thumbs-down' => 'thumbs-down',
					'fa-thumbs-o-down' => 'thumbs-o-down',
					'fa-thumbs-o-up' => 'thumbs-o-up',
					'fa-thumbs-up' => 'thumbs-up',
					'fa-ticket' => 'ticket',
					'fa-times' => 'times',
					'fa-times-circle' => 'times-circle',
					'fa-times-circle-o' => 'times-circle-o',
					'fa-tint' => 'tint',
					'fa-toggle-off' => 'toggle-off',
					'fa-toggle-on' => 'toggle-on',
					'fa-trademark' => 'trademark',
					'fa-trash' => 'trash',
					'fa-trash-o' => 'trash-o',
					'fa-tree' => 'tree',
					'fa-trophy' => 'trophy',
					'fa-truck' => 'truck',
					'fa-tty' => 'tty',
					'fa-umbrella' => 'umbrella',
					'fa-universal-access' => 'universal-access',
					'fa-university' => 'university',
					'fa-unlock' => 'unlock',
					'fa-unlock-alt' => 'unlock-alt',
					'fa-upload' => 'upload',
					'fa-user' => 'user',
					'fa-user-o' => 'user-o',
					'fa-user-plus' => 'user-plus',
					'fa-user-secret' => 'user-secret',
					'fa-user-times' => 'user-times',
					'fa-users' => 'users',
					'fa-user-circle' => 'user-circle',
					'fa-user-circle-o' => 'user-circle-o',
					'fa-video-camera' => 'video-camera',
					'fa-volume-control-phone' => 'volume-control-phone',
					'fa-volume-down' => 'volume-down',
					'fa-volume-off' => 'volume-off',
					'fa-volume-up' => 'volume-up',
					'fa-wheelchair' => 'wheelchair',
					'fa-wheelchair-alt' => 'wheelchair-alt',
					'fa-window-close' => 'window-close',
					'fa-window-close-o' => 'window-close-o',
					'fa-window-maximize' => 'window-maximize',
					'fa-window-minimize' => 'window-minimize',
					'fa-window-restore' => 'window-restore',
					'fa-wifi' => 'wifi',
					'fa-wrench' => 'wrench',
				),
			),
			array(
				'key' => 'accessibility',
				'label' => __( 'Accessibility', 'themify' ),
				'icons' => array(
					'fa-american-sign-language-interpreting' => 'american-sign-language-interpreting',
					'fa-assistive-listening-systems' => 'assistive-listening-systems',
					'fa-audio-description' => 'audio-description',
					'fa-blind' => 'blind',
					'fa-braille' => 'braille',
					'fa-cc' => 'cc',
					'fa-deaf' => 'deaf',
					'fa-low-vision' => 'low-vision',
					'fa-question-circle-o' => 'question-circle-o',
					'fa-sign-language' => 'sign-language',
					'fa-tty' => 'tty',
					'fa-universal-access' => 'universal-access',
					'fa-volume-control-phone' => 'volume-control-phone',
					'fa-wheelchair' => 'wheelchair',
					'fa-wheelchair-alt' => 'wheelchair-alt',
				),
			),
			array(
				'key' => 'hand',
				'label' => __( 'Hand', 'themify' ),
				'icons' => array(
					'fa-hand-lizard-o' => 'hand-lizard-o',
					'fa-hand-o-down' => 'hand-o-down',
					'fa-hand-o-left' => 'hand-o-left',
					'fa-hand-o-right' => 'hand-o-right',
					'fa-hand-o-up' => 'hand-o-up',
					'fa-hand-paper-o' => 'hand-paper-o',
					'fa-hand-peace-o' => 'hand-peace-o',
					'fa-hand-pointer-o' => 'hand-pointer-o',
					'fa-hand-rock-o' => 'hand-rock-o',
					'fa-hand-scissors-o' => 'hand-scissors-o',
					'fa-hand-spock-o' => 'hand-spock-o',
					'fa-thumbs-down' => 'thumbs-down',
					'fa-thumbs-o-down' => 'thumbs-o-down',
					'fa-thumbs-o-up' => 'thumbs-o-up',
					'fa-thumbs-up' => 'thumbs-up',
				),
			),
			array(
				'key' => 'transportation',
				'label' => __( 'Transportation', 'themify' ),
				'icons' => array(
					'fa-ambulance' => 'ambulance',
					'fa-bicycle' => 'bicycle',
					'fa-bus' => 'bus',
					'fa-car' => 'car',
					'fa-fighter-jet' => 'fighter-jet',
					'fa-motorcycle' => 'motorcycle',
					'fa-plane' => 'plane',
					'fa-rocket' => 'rocket',
					'fa-ship' => 'ship',
					'fa-space-shuttle' => 'space-shuttle',
					'fa-subway' => 'subway',
					'fa-taxi' => 'taxi',
					'fa-train' => 'train',
					'fa-truck' => 'truck',
					'fa-wheelchair' => 'wheelchair',
				),
			),
			array(
				'key' => 'gender',
				'label' => __( 'Gender', 'themify' ),
				'icons' => array(
					'fa-genderless' => 'genderless',
					'fa-mars' => 'mars',
					'fa-mars-double' => 'mars-double',
					'fa-mars-stroke' => 'mars-stroke',
					'fa-mars-stroke-h' => 'mars-stroke-h',
					'fa-mars-stroke-v' => 'mars-stroke-v',
					'fa-mercury' => 'mercury',
					'fa-neuter' => 'neuter',
					'fa-transgender' => 'transgender',
					'fa-transgender-alt' => 'transgender-alt',
					'fa-venus' => 'venus',
					'fa-venus-double' => 'venus-double',
					'fa-venus-mars' => 'venus-mars',
				),
			),
			array(
				'key' => 'file-type',
				'label' => __( 'File Type', 'themify' ),
				'icons' => array(
					'fa-file' => 'file',
					'fa-file-archive-o' => 'file-archive-o',
					'fa-file-audio-o' => 'file-audio-o',
					'fa-file-code-o' => 'file-code-o',
					'fa-file-excel-o' => 'file-excel-o',
					'fa-file-image-o' => 'file-image-o',
					'fa-file-o' => 'file-o',
					'fa-file-pdf-o' => 'file-pdf-o',
					'fa-file-powerpoint-o' => 'file-powerpoint-o',
					'fa-file-text' => 'file-text',
					'fa-file-text-o' => 'file-text-o',
					'fa-file-video-o' => 'file-video-o',
					'fa-file-word-o' => 'file-word-o',
				),
			),
			array(
				'key' => 'spinner',
				'label' => __( 'Spinner', 'themify' ),
				'icons' => array(
					'fa-circle-o-notch' => 'circle-o-notch',
					'fa-cog' => 'cog',
					'fa-refresh' => 'refresh',
					'fa-spinner' => 'spinner',
				),
			),
			array(
				'key' => 'form-control',
				'label' => __( 'Form Control', 'themify' ),
				'icons' => array(
					'fa-check-square' => 'check-square',
					'fa-check-square-o' => 'check-square-o',
					'fa-circle' => 'circle',
					'fa-circle-o' => 'circle-o',
					'fa-dot-circle-o' => 'dot-circle-o',
					'fa-minus-square' => 'minus-square',
					'fa-minus-square-o' => 'minus-square-o',
					'fa-plus-square' => 'plus-square',
					'fa-plus-square-o' => 'plus-square-o',
					'fa-square' => 'square',
					'fa-square-o' => 'square-o',
				),
			),
			array(
				'key' => 'payment',
				'label' => __( 'Payment', 'themify' ),
				'icons' => array(
					'fa-cc-amex' => 'cc-amex',
					'fa-cc-diners-club' => 'cc-diners-club',
					'fa-cc-discover' => 'cc-discover',
					'fa-cc-jcb' => 'cc-jcb',
					'fa-cc-mastercard' => 'cc-mastercard',
					'fa-cc-paypal' => 'cc-paypal',
					'fa-cc-stripe' => 'cc-stripe',
					'fa-cc-visa' => 'cc-visa',
					'fa-credit-card' => 'credit-card',
					'fa-credit-card-alt' => 'credit-card-alt',
					'fa-google-wallet' => 'google-wallet',
					'fa-paypal' => 'paypal',
				),
			),
			array(
				'key' => 'chart',
				'label' => __( 'Chart', 'themify' ),
				'icons' => array(
					'fa-area-chart' => 'area-chart',
					'fa-bar-chart' => 'bar-chart',
					'fa-line-chart' => 'line-chart',
					'fa-pie-chart' => 'pie-chart',
				),
			),
			array(
				'key' => 'currency',
				'label' => __( 'Currency', 'themify' ),
				'icons' => array(
					'fa-btc' => 'btc',
					'fa-eur' => 'eur',
					'fa-gbp' => 'gbp',
					'fa-gg' => 'gg',
					'fa-gg-circle' => 'gg-circle',
					'fa-ils' => 'ils',
					'fa-inr' => 'inr',
					'fa-jpy' => 'jpy',
					'fa-krw' => 'krw',
					'fa-money' => 'money',
					'fa-rub' => 'rub',
					'fa-try' => 'try',
					'fa-usd' => 'usd',
				),
			),
			array(
				'key' => 'text-editor',
				'label' => __( 'Text Editor', 'themify' ),
				'icons' => array(
					'fa-align-center' => 'align-center',
					'fa-align-justify' => 'align-justify',
					'fa-align-left' => 'align-left',
					'fa-align-right' => 'align-right',
					'fa-bold' => 'bold',
					'fa-chain-broken' => 'chain-broken',
					'fa-clipboard' => 'clipboard',
					'fa-columns' => 'columns',
					'fa-eraser' => 'eraser',
					'fa-file' => 'file',
					'fa-file-o' => 'file-o',
					'fa-file-text' => 'file-text',
					'fa-file-text-o' => 'file-text-o',
					'fa-files-o' => 'files-o',
					'fa-floppy-o' => 'floppy-o',
					'fa-font' => 'font',
					'fa-header' => 'header',
					'fa-indent' => 'indent',
					'fa-italic' => 'italic',
					'fa-link' => 'link',
					'fa-list' => 'list',
					'fa-list-alt' => 'list-alt',
					'fa-list-ol' => 'list-ol',
					'fa-list-ul' => 'list-ul',
					'fa-outdent' => 'outdent',
					'fa-paperclip' => 'paperclip',
					'fa-paragraph' => 'paragraph',
					'fa-repeat' => 'repeat',
					'fa-scissors' => 'scissors',
					'fa-strikethrough' => 'strikethrough',
					'fa-subscript' => 'subscript',
					'fa-superscript' => 'superscript',
					'fa-table' => 'table',
					'fa-text-height' => 'text-height',
					'fa-text-width' => 'text-width',
					'fa-th' => 'th',
					'fa-th-large' => 'th-large',
					'fa-th-list' => 'th-list',
					'fa-underline' => 'underline',
					'fa-undo' => 'undo',
				),
			),
			array(
				'key' => 'directional',
				'label' => __( 'Directional', 'themify' ),
				'icons' => array(
					'fa-angle-double-down' => 'angle-double-down',
					'fa-angle-double-left' => 'angle-double-left',
					'fa-angle-double-right' => 'angle-double-right',
					'fa-angle-double-up' => 'angle-double-up',
					'fa-angle-down' => 'angle-down',
					'fa-angle-left' => 'angle-left',
					'fa-angle-right' => 'angle-right',
					'fa-angle-up' => 'angle-up',
					'fa-arrow-circle-down' => 'arrow-circle-down',
					'fa-arrow-circle-left' => 'arrow-circle-left',
					'fa-arrow-circle-o-down' => 'arrow-circle-o-down',
					'fa-arrow-circle-o-left' => 'arrow-circle-o-left',
					'fa-arrow-circle-o-right' => 'arrow-circle-o-right',
					'fa-arrow-circle-o-up' => 'arrow-circle-o-up',
					'fa-arrow-circle-right' => 'arrow-circle-right',
					'fa-arrow-circle-up' => 'arrow-circle-up',
					'fa-arrow-down' => 'arrow-down',
					'fa-arrow-left' => 'arrow-left',
					'fa-arrow-right' => 'arrow-right',
					'fa-arrow-up' => 'arrow-up',
					'fa-arrows' => 'arrows',
					'fa-arrows-alt' => 'arrows-alt',
					'fa-arrows-h' => 'arrows-h',
					'fa-arrows-v' => 'arrows-v',
					'fa-caret-down' => 'caret-down',
					'fa-caret-left' => 'caret-left',
					'fa-caret-right' => 'caret-right',
					'fa-caret-square-o-down' => 'caret-square-o-down',
					'fa-caret-square-o-left' => 'caret-square-o-left',
					'fa-caret-square-o-right' => 'caret-square-o-right',
					'fa-caret-square-o-up' => 'caret-square-o-up',
					'fa-caret-up' => 'caret-up',
					'fa-chevron-circle-down' => 'chevron-circle-down',
					'fa-chevron-circle-left' => 'chevron-circle-left',
					'fa-chevron-circle-right' => 'chevron-circle-right',
					'fa-chevron-circle-up' => 'chevron-circle-up',
					'fa-chevron-down' => 'chevron-down',
					'fa-chevron-left' => 'chevron-left',
					'fa-chevron-right' => 'chevron-right',
					'fa-chevron-up' => 'chevron-up',
					'fa-exchange' => 'exchange',
					'fa-hand-o-down' => 'hand-o-down',
					'fa-hand-o-left' => 'hand-o-left',
					'fa-hand-o-right' => 'hand-o-right',
					'fa-hand-o-up' => 'hand-o-up',
					'fa-long-arrow-down' => 'long-arrow-down',
					'fa-long-arrow-left' => 'long-arrow-left',
					'fa-long-arrow-right' => 'long-arrow-right',
					'fa-long-arrow-up' => 'long-arrow-up',
				),
			),
			array(
				'key' => 'video-player',
				'label' => __( 'Video Player', 'themify' ),
				'icons' => array(
					'fa-arrows-alt' => 'arrows-alt',
					'fa-backward' => 'backward',
					'fa-compress' => 'compress',
					'fa-eject' => 'eject',
					'fa-expand' => 'expand',
					'fa-fast-backward' => 'fast-backward',
					'fa-fast-forward' => 'fast-forward',
					'fa-forward' => 'forward',
					'fa-pause' => 'pause',
					'fa-pause-circle' => 'pause-circle',
					'fa-pause-circle-o' => 'pause-circle-o',
					'fa-play' => 'play',
					'fa-play-circle' => 'play-circle',
					'fa-play-circle-o' => 'play-circle-o',
					'fa-random' => 'random',
					'fa-step-backward' => 'step-backward',
					'fa-step-forward' => 'step-forward',
					'fa-stop' => 'stop',
					'fa-stop-circle' => 'stop-circle',
					'fa-stop-circle-o' => 'stop-circle-o',
					'fa-youtube-play' => 'youtube-play',
				),
			),
			array(
				'key' => 'brand',
				'label' => __( 'Brand', 'themify' ),
				'icons' => array(
					'fa-500px' => '500px',
					'fa-adn' => 'adn',
					'fa-amazon' => 'amazon',
					'fa-android' => 'android',
					'fa-angellist' => 'angellist',
					'fa-apple' => 'apple',
					'fa-bandcamp' => 'bandcamp',
					'fa-behance' => 'behance',
					'fa-behance-square' => 'behance-square',
					'fa-bitbucket' => 'bitbucket',
					'fa-bitbucket-square' => 'bitbucket-square',
					'fa-black-tie' => 'black-tie',
					'fa-bluetooth' => 'bluetooth',
					'fa-bluetooth-b' => 'bluetooth-b',
					'fa-btc' => 'btc',
					'fa-buysellads' => 'buysellads',
					'fa-cc-amex' => 'cc-amex',
					'fa-cc-diners-club' => 'cc-diners-club',
					'fa-cc-discover' => 'cc-discover',
					'fa-cc-jcb' => 'cc-jcb',
					'fa-cc-mastercard' => 'cc-mastercard',
					'fa-cc-paypal' => 'cc-paypal',
					'fa-cc-stripe' => 'cc-stripe',
					'fa-cc-visa' => 'cc-visa',
					'fa-chrome' => 'chrome',
					'fa-codepen' => 'codepen',
					'fa-codiepie' => 'codiepie',
					'fa-connectdevelop' => 'connectdevelop',
					'fa-contao' => 'contao',
					'fa-css3' => 'css3',
					'fa-dashcube' => 'dashcube',
					'fa-delicious' => 'delicious',
					'fa-deviantart' => 'deviantart',
					'fa-digg' => 'digg',
					'fa-dribbble' => 'dribbble',
					'fa-dropbox' => 'dropbox',
					'fa-drupal' => 'drupal',
					'fa-edge' => 'edge',
					'fa-empire' => 'empire',
					'fa-etsy' => 'etsy',
					'fa-envira' => 'envira',
					'fa-eercast' => 'eercast',
					'fa-expeditedssl' => 'expeditedssl',
					'fa-facebook' => 'facebook',
					'fa-facebook-official' => 'facebook-official',
					'fa-facebook-square' => 'facebook-square',
					'fa-firefox' => 'firefox',
					'fa-first-order' => 'first-order',
					'fa-flickr' => 'flickr',
					'fa-font-awesome' => 'font-awesome',
					'fa-fonticons' => 'fonticons',
					'fa-fort-awesome' => 'fort-awesome',
					'fa-forumbee' => 'forumbee',
					'fa-foursquare' => 'foursquare',
					'fa-free-code-camp' => 'free-code-camp',
					'fa-get-pocket' => 'get-pocket',
					'fa-gg' => 'gg',
					'fa-gg-circle' => 'gg-circle',
					'fa-git' => 'git',
					'fa-git-square' => 'git-square',
					'fa-github' => 'github',
					'fa-github-alt' => 'github-alt',
					'fa-github-square' => 'github-square',
					'fa-gitlab' => 'gitlab',
					'fa-glide' => 'glide',
					'fa-glide-g' => 'glide-g',
					'fa-google' => 'google',
					'fa-google-plus' => 'google-plus',
					'fa-google-plus-official' => 'google-plus-official',
					'fa-google-plus-square' => 'google-plus-square',
					'fa-google-wallet' => 'google-wallet',
					'fa-gratipay' => 'gratipay',
					'fa-grav' => 'grav',
					'fa-hacker-news' => 'hacker-news',
					'fa-houzz' => 'houzz',
					'fa-html5' => 'html5',
					'fa-imdb' => 'imdb',
					'fa-instagram' => 'instagram',
					'fa-internet-explorer' => 'internet-explorer',
					'fa-ioxhost' => 'ioxhost',
					'fa-joomla' => 'joomla',
					'fa-jsfiddle' => 'jsfiddle',
					'fa-lastfm' => 'lastfm',
					'fa-lastfm-square' => 'lastfm-square',
					'fa-leanpub' => 'leanpub',
					'fa-linode' => 'linode',
					'fa-linkedin' => 'linkedin',
					'fa-linkedin-square' => 'linkedin-square',
					'fa-linux' => 'linux',
					'fa-maxcdn' => 'maxcdn',
					'fa-meanpath' => 'meanpath',
					'fa-medium' => 'medium',
					'fa-meetup' => 'meetup',
					'fa-mixcloud' => 'mixcloud',
					'fa-modx' => 'modx',
					'fa-odnoklassniki' => 'odnoklassniki',
					'fa-odnoklassniki-square' => 'odnoklassniki-square',
					'fa-opencart' => 'opencart',
					'fa-openid' => 'openid',
					'fa-opera' => 'opera',
					'fa-optin-monster' => 'optin-monster',
					'fa-pagelines' => 'pagelines',
					'fa-paypal' => 'paypal',
					'fa-pied-piper' => 'pied-piper',
					'fa-pied-piper-alt' => 'pied-piper-alt',
					'fa-pied-piper-pp' => 'pied-piper-pp',
					'fa-pinterest' => 'pinterest',
					'fa-pinterest-p' => 'pinterest-p',
					'fa-pinterest-square' => 'pinterest-square',
					'fa-product-hunt' => 'product-hunt',
					'fa-quora' => 'quora',
					'fa-qq' => 'qq',
					'fa-ravelry' => 'ravelry',
					'fa-rebel' => 'rebel',
					'fa-reddit' => 'reddit',
					'fa-reddit-alien' => 'reddit-alien',
					'fa-reddit-square' => 'reddit-square',
					'fa-renren' => 'renren',
					'fa-safari' => 'safari',
					'fa-scribd' => 'scribd',
					'fa-sellsy' => 'sellsy',
					'fa-share-alt' => 'share-alt',
					'fa-share-alt-square' => 'share-alt-square',
					'fa-shirtsinbulk' => 'shirtsinbulk',
					'fa-simplybuilt' => 'simplybuilt',
					'fa-skyatlas' => 'skyatlas',
					'fa-skype' => 'skype',
					'fa-slack' => 'slack',
					'fa-slideshare' => 'slideshare',
					'fa-snapchat' => 'snapchat',
					'fa-snapchat-ghost' => 'snapchat-ghost',
					'fa-snapchat-square' => 'snapchat-square',
					'fa-soundcloud' => 'soundcloud',
					'fa-spotify' => 'spotify',
					'fa-stack-exchange' => 'stack-exchange',
					'fa-stack-overflow' => 'stack-overflow',
					'fa-steam' => 'steam',
					'fa-steam-square' => 'steam-square',
					'fa-stumbleupon' => 'stumbleupon',
					'fa-stumbleupon-circle' => 'stumbleupon-circle',
					'fa-superpowers' => 'superpowers',
					'fa-tencent-weibo' => 'tencent-weibo',
					'fa-telegram' => 'telegram',
					'fa-themeisle' => 'themeisle',
					'fa-trello' => 'trello',
					'fa-tripadvisor' => 'tripadvisor',
					'fa-tumblr' => 'tumblr',
					'fa-tumblr-square' => 'tumblr-square',
					'fa-twitch' => 'twitch',
					'fa-twitter' => 'twitter',
					'fa-twitter-square' => 'twitter-square',
					'fa-usb' => 'usb',
					'fa-viacoin' => 'viacoin',
					'fa-viadeo' => 'viadeo',
					'fa-viadeo-square' => 'viadeo-square',
					'fa-vimeo' => 'vimeo',
					'fa-vimeo-square' => 'vimeo-square',
					'fa-vine' => 'vine',
					'fa-vk' => 'vk',
					'fa-weibo' => 'weibo',
					'fa-weixin' => 'weixin',
					'fa-whatsapp' => 'whatsapp',
					'fa-wikipedia-w' => 'wikipedia-w',
					'fa-windows' => 'windows',
					'fa-wordpress' => 'wordpress',
					'fa-wpbeginner' => 'wpbeginner',
					'fa-wpexplorer' => 'wpexplorer',
					'fa-wpforms' => 'wpforms',
					'fa-xing' => 'xing',
					'fa-xing-square' => 'xing-square',
					'fa-y-combinator' => 'y-combinator',
					'fa-yahoo' => 'yahoo',
					'fa-yelp' => 'yelp',
					'fa-yoast' => 'yoast',
					'fa-youtube' => 'youtube',
					'fa-youtube-play' => 'youtube-play',
					'fa-youtube-square' => 'youtube-square',
				),
			),
			array(
				'key' => 'medical',
				'label' => __( 'Medical', 'themify' ),
				'icons' => array(
					'fa-ambulance' => 'ambulance',
					'fa-h-square' => 'h-square',
					'fa-heart' => 'heart',
					'fa-heart-o' => 'heart-o',
					'fa-heartbeat' => 'heartbeat',
					'fa-hospital-o' => 'hospital-o',
					'fa-medkit' => 'medkit',
					'fa-plus-square' => 'plus-square',
					'fa-stethoscope' => 'stethoscope',
					'fa-user-md' => 'user-md',
					'fa-wheelchair' => 'wheelchair',
				),
			),
		);
	}
}